from es import getAddonPath, createplayerlist, tell, usermsg
from langlib import Strings, getLangAbbreviation
from os.path import join

def getPlayerLanguage(userid):
    return getLangAbbreviation(createplayerlist(userid)[int(userid)]['language'])

def getString(userid, string, tokens):
    return playerStrings(string, tokens, getPlayerLanguage(userid))

def tellString(userid, string, tokens):
    tell(userid, '#multi', '#green[#darkgreenSuperDice#green]#lightgreen ' + getString(userid, string, tokens))

def rightTextString(userid, string, tokens):
    rightText(userid, getString(userid, string, tokens))

def rightText(userid, text):
    usermsg('create', 'panel', 'KeyHintText')
    usermsg('write', 'byte', 'panel', 1)
    usermsg('write', 'string', 'panel', text)
    usermsg('send', 'panel', userid)
    usermsg('delete', 'panel')

playerStrings = Strings(join(getAddonPath('superdice'), 'data', 'languages.ini'))
